Activity log for bug #1029716

Date Who What changed Old value New value Message
2012-07-27 00:40:35 Austin S. Hemmelgarn bug added bug
2012-07-27 03:30:36 Serge Hallyn lxc (Ubuntu): status New Triaged
2012-07-27 03:30:40 Serge Hallyn lxc (Ubuntu): importance Undecided Critical
2012-07-27 03:30:43 Serge Hallyn lxc (Ubuntu): importance Critical High
2012-07-27 03:47:14 Serge Hallyn nominated for series Ubuntu Precise
2012-07-27 03:47:14 Serge Hallyn bug task added lxc (Ubuntu Precise)
2012-07-27 03:47:14 Serge Hallyn nominated for series Ubuntu Quantal
2012-07-27 03:47:14 Serge Hallyn bug task added lxc (Ubuntu Quantal)
2012-07-27 03:47:27 Serge Hallyn lxc (Ubuntu Quantal): status Triaged Fix Released
2012-07-27 03:47:31 Serge Hallyn lxc (Ubuntu Precise): importance Undecided High
2012-07-27 03:48:49 Serge Hallyn attachment added Debdiff fixing this bug. https://bugs.launchpad.net/ubuntu/+source/lxc/+bug/1029716/+attachment/3237980/+files/lxc-purge.debdiff
2012-07-27 03:51:03 Serge Hallyn description Occured while trying to purge all installed lxc packages. ProblemType: Package DistroRelease: Ubuntu 12.04 Package: lxc (not installed) ProcVersionSignature: Ubuntu 3.2.0-27.43-generic 3.2.21 Uname: Linux 3.2.0-27-generic x86_64 ApportVersion: 2.0.1-0ubuntu11 Architecture: amd64 Date: Thu Jul 26 20:35:55 2012 ErrorMessage: subprocess installed post-removal script returned error exit status 1 InstallationMedia: Xubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425) SourcePackage: lxc Title: package lxc (not installed) failed to install/upgrade: subprocess installed post-removal script returned error exit status 1 UpgradeStatus: No upgrade log present (probably fresh install) ===================================== SRU Justification: 1. Impact: 'apt-get purge lxc' fails 2. Development fix: accept 'purge' as a valid argument to the postrm script 3. Stable fix: same as development fix. 4. Test case: sudo apt-get install lxc sudo apt-get purge lxc 5. Regression potential: this accepts 'purge', which is a valid option, as an argument to the postrm script. If there were a regression it would only be seen at package uninstall. ===================================== Occured while trying to purge all installed lxc packages. ProblemType: Package DistroRelease: Ubuntu 12.04 Package: lxc (not installed) ProcVersionSignature: Ubuntu 3.2.0-27.43-generic 3.2.21 Uname: Linux 3.2.0-27-generic x86_64 ApportVersion: 2.0.1-0ubuntu11 Architecture: amd64 Date: Thu Jul 26 20:35:55 2012 ErrorMessage: subprocess installed post-removal script returned error exit status 1 InstallationMedia: Xubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425) SourcePackage: lxc Title: package lxc (not installed) failed to install/upgrade: subprocess installed post-removal script returned error exit status 1 UpgradeStatus: No upgrade log present (probably fresh install)
2012-07-27 03:52:03 Serge Hallyn lxc (Ubuntu Precise): status New Triaged
2012-07-27 03:52:06 Serge Hallyn lxc (Ubuntu Precise): assignee Serge Hallyn (serge-hallyn)
2012-07-27 03:54:21 Serge Hallyn bug added subscriber Ubuntu Stable Release Updates Team
2012-07-27 03:54:25 Serge Hallyn lxc (Ubuntu Precise): status Triaged In Progress
2012-07-27 03:54:32 Serge Hallyn lxc (Ubuntu Precise): assignee Serge Hallyn (serge-hallyn)
2012-08-01 03:38:07 Scott Kitterman lxc (Ubuntu Precise): status In Progress Fix Committed
2012-08-01 03:38:11 Scott Kitterman bug added subscriber SRU Verification
2012-08-01 03:38:14 Scott Kitterman tags amd64 apport-package precise amd64 apport-package precise verification-needed
2012-08-01 04:17:19 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/lxc
2012-08-01 13:24:44 St├ęphane Graber tags amd64 apport-package precise verification-needed amd64 apport-package precise verification-done
2012-08-02 21:27:24 Brian Murray removed subscriber Ubuntu Stable Release Updates Team
2012-08-02 21:32:10 Launchpad Janitor lxc (Ubuntu Precise): status Fix Committed Fix Released